<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>MavenDeployment (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MavenDeployment (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployer.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/maven/MavenDeployment.html" target="_top">Frames</a></li>
<li><a href="MavenDeployment.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.maven</div>
<h2 title="Interface MavenDeployment" class="title">Interface MavenDeployment</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">MavenDeployment</span></pre>
<div class="block">Represents the artifacts which will be deployed to a Maven repository. You can use this interface to modify the set
 of artifacts.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployment.html#addArtifact(org.gradle.api.artifacts.PublishArtifact)">addArtifact</a></strong>(<a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;artifact)</code>
<div class="block">Adds an additional artifact to this deployment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployment.html#getArtifacts()">getArtifacts</a></strong>()</code>
<div class="block">Returns the artifacts which will be deployed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployment.html#getAttachedArtifacts()">getAttachedArtifacts</a></strong>()</code>
<div class="block">Returns the additional artifacts for this deployment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployment.html#getMainArtifact()">getMainArtifact</a></strong>()</code>
<div class="block">Returns the main artifact for this deployment.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployment.html#getPomArtifact()">getPomArtifact</a></strong>()</code>
<div class="block">Returns the POM for this deployment.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPomArtifact()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPomArtifact</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;getPomArtifact()</pre>
<div class="block">Returns the POM for this deployment.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The POM. Never null.</dd></dl>
</li>
</ul>
<a name="getMainArtifact()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMainArtifact</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;getMainArtifact()</pre>
<div class="block">Returns the main artifact for this deployment.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The main artifact. May be null.</dd></dl>
</li>
</ul>
<a name="getArtifacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&gt;&nbsp;getArtifacts()</pre>
<div class="block">Returns the artifacts which will be deployed. Includes the POM artifact.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The artifacts. Never null.</dd></dl>
</li>
</ul>
<a name="addArtifact(org.gradle.api.artifacts.PublishArtifact)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArtifact</h4>
<pre>void&nbsp;addArtifact(<a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;artifact)</pre>
<div class="block">Adds an additional artifact to this deployment.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>artifact</code> - The artifact to add.</dd></dl>
</li>
</ul>
<a name="getAttachedArtifacts()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAttachedArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&gt;&nbsp;getAttachedArtifacts()</pre>
<div class="block">Returns the additional artifacts for this deployment.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the additional artifacts for this deployment. Never null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployer.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/maven/MavenDeployment.html" target="_top">Frames</a></li>
<li><a href="MavenDeployment.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
